
package com.tmerclub.cloud.multishop.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 店铺扩张信息VO
 *
 * @author YXF
 * @date 2021-02-05 15:36:12
 */
@Data
public class ShopExtensionVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    private Long shopExtensionId;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "店铺商品总销量")
    private Integer saleNum;

    @Schema(description = "店铺收藏数量")
    private Long collectionNum;


}
