
package com.tmerclub.cloud.common.cache.constant;

/**
 * @author lhd
 * @date 2021/03/31
 */
public interface SeckillCacheNames {

    /**
     * 前缀
     */
    String SECKILL_PREFIX = "tmerclub_seckill:";

    /**
     * 秒杀信息
     */
    String SECKILL_BY_SECKILL_ID = SECKILL_PREFIX + "seckill_by_seckill_id:";

    /**
     * 秒杀sku信息
     */
    String SECKILL_SKU_BY_SECKILL_ID = SECKILL_PREFIX + "skulist_by_seckill_id:";

    /**
     * 秒杀sku信息
     */
    String SECKILL_SKU_BY_ID = SECKILL_PREFIX + "sku_by_id:";

    /**
     * 根据商品id获取秒杀信息
     */
    String SECKILL_BY_SPU_ID = "seckill_by_spu_id:";

    String CATEGORY_LIST = SECKILL_PREFIX + "category:list:";

    /**
     * 秒杀sku库存信息
     */
    String SECKILL_SKU_STOCK = SECKILL_PREFIX + "sku_stock:";

    /**
     * 秒杀sku可用分片数量
     */
    String SECKILL_SKU_AVAILABLE_ZONE = SECKILL_PREFIX + "sku_available_zone:";
    /**
     * 秒杀sku库存信息
     */
    public static final String STOCK = "stock:";
}
