
package com.tmerclub.cloud.multishop.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 商品装修模板表DTO
 *
 * @author Orange
 * @date 2022-08-12 14:04:57
 */
@Data
public class ShopTemplateDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "店铺模板表")
    private Long templateId;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "名称")
    private String name;

    @Schema(description = "装修内容")
    private String content;

    @Schema(description = "图片")
    private String image;

    @Schema(description = "类型 1.pc 2.移动端")
    private Integer type;

    @Schema(description = "备注")
    private String remark;


}
