
package com.tmerclub.cloud.multishop.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;


/**
 * 工商信息审核记录
 *
 * @author chiley
 * @date 2022/9/1 15:52
 */
@Data
public class ShopCompanyAuditing extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 工商信息审核id
     */
    private Long companyAuditingId;

    /**
     * 申请人id
     */
    private Long userId;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 工商信息id
     */
    private Long shopCompanyId;
    /**
     * 审核人id
     */
    private Long auditorId;

    /**
     * 0 未审核 1已通过 -1未通过
     */
    private Integer status;

    /**
     * 备注
     */
    private String remarks;


}
