
package com.tmerclub.cloud.platform.model;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;

/**
 * @author xxw
 * @version 1.0
 * @description:
 * @since 2024/1/9 10:14
 */
@Data
@Schema(description = "密钥对应可用菜单资源")
public class SysAccessMenuPermission implements Serializable {
    private static final long serialVersionUID = 1L;
    private Long id;

    @Schema(description = "密钥id")
    private Long sysAccessKeyId;

    @Schema(description = "菜单资源ID")
    private Long menuPermissionId;

}
