

package com.tmerclub.cloud.platform.vo;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author lhd
 * @date 2020/12/30
 */
@Data
public class ScoreCategoryConfigVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 分类id
     */
    private Long categoryId;

    /**
     * 分类名称
     */
    private String categoryName;

    /**
     * 使用上限比例
     */
    private Double useScoreLimit;
    /**
     * 获取上限比例
     */
    private Double getScoreLimit;

}
