
package com.tmerclub.cloud.common.cache.constant;

/**
 * @author tmerclub
 * @date 2020/11/23
 */
public interface MultishopCacheNames {

    /**
     * 前缀
     */
    String MULTISHOP_PREFIX = "tmerclub_multishop:";

    /**
     * 店铺分类列表缓存key
     */
    String SHOP_DETAIL_ID_KEY = MULTISHOP_PREFIX + "shop_detail:getById:";

    /**
     * 开通通联支付的状态
     */
    String ALLINPAY_CONFIG_KEY = MULTISHOP_PREFIX + "allinpay_config:";

    /**
     * 店铺分类列表缓存key
     */
    String INDEX_IMG_KEY = MULTISHOP_PREFIX + "index_img:";

    /**
     * 店铺分类列表缓存key
     */
    String NOTICES_KEY = MULTISHOP_PREFIX + "notices:";

    /**
     * 店铺退货地址列表缓存key
     */
    String SHOP_REFUND_ADDR = MULTISHOP_PREFIX + "shop_refund_addr:list:";


    String MULTISHOP_SIMPLE_INFO_KEY = MULTISHOP_PREFIX + "simple_info:";


    String HOT_SEARCH_LIST_KEY = MULTISHOP_PREFIX + "hot_search_list:";

    String GET_BY_SHOP_RENOVATION_ID_KEY = MULTISHOP_PREFIX + "get_by_shop_renovation_id:";

    String GET_SHOP_HOME_RENOVATION_KEY = MULTISHOP_PREFIX + "get_shop_home_renovation:";

    String GET_BY_SHOP_TEMPLATE_ID_KEY = MULTISHOP_PREFIX + "get_by_shop_template_id:";

    /**
     * 店铺代销设置信息缓存
     */
    String SHOP_SUBSTITUTE_SALES_KEY = MULTISHOP_PREFIX + "shop_substitute_sales:";

}
