package com.tmerclub.cloud.order.service;

import com.tmerclub.cloud.order.dto.AllotOrderItemDTO;

import java.util.List;

/**
 * @author gaozijie
 * @date 2023-11-20
 */
public interface AllotOrderItemService {

    /**
     * 批量新增调拨订单商品
     * @param allotOrderItemDTOList 调拨订单商品dto集合
     */
    void addBatchAllotOrderItem(List<AllotOrderItemDTO> allotOrderItemDTOList);

    /**
     * 批量更新调拨订单商品
     * @param allotOrderItemDTOList 调拨订单商品dto集合
     */
    void updateBatchAllotOrderItem(List<AllotOrderItemDTO> allotOrderItemDTOList);
}
