
package com.tmerclub.cloud.product.dto;

import com.tmerclub.cloud.common.product.dto.AttrValueLangDTO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 属性值信息DTO
 *
 * @author tmerclub
 * @date 2020-10-28 15:27:24
 */
public class AttrValueDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "属性id")
    private Long attrValueId;

    @Schema(description = "属性ID")
    private Long attrId;

    @Schema(description = "属性值国际化信息")
    private List<AttrValueLangDTO> values;

    public Long getAttrValueId() {
        return attrValueId;
    }

    public void setAttrValueId(Long attrValueId) {
        this.attrValueId = attrValueId;
    }

    public Long getAttrId() {
        return attrId;
    }

    public void setAttrId(Long attrId) {
        this.attrId = attrId;
    }

    public List<AttrValueLangDTO> getValues() {
        return values;
    }

    public void setValues(List<AttrValueLangDTO> values) {
        this.values = values;
    }

    @Override
    public String toString() {
        return "AttrValueDTO{" +
                "attrValueId=" + attrValueId +
                ",attrId=" + attrId +
                ",values=" + values +
                '}';
    }
}
