
package com.tmerclub.cloud.user.dto;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 用户和标签关联表DTO
 *
 * @author YXF
 * @date 2020-12-08 10:16:53
 */
public class UserTagUserDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "自增id")
    private Long userTagUserId;

    @Schema(description = "标签id")
    private Long userTagId;

    @Schema(description = "用户id")
    private Long userId;

    public Long getUserTagUserId() {
        return userTagUserId;
    }

    public void setUserTagUserId(Long userTagUserId) {
        this.userTagUserId = userTagUserId;
    }

    public Long getUserTagId() {
        return userTagId;
    }

    public void setUserTagId(Long userTagId) {
        this.userTagId = userTagId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    @Override
    public String toString() {
        return "UserTagUserDTO{" +
                "userTagUserId=" + userTagUserId +
                ",userTagId=" + userTagId +
                ",userId=" + userId +
                '}';
    }
}
